#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
    ll n;
    cin>>n;
    vector<ll> a(n);
    vector<ll> b(n);
    for(int i=0; i<n; i++){
        a[i]=i*2+2;
    }

    for(int i=0; i<n; i++){
        b[i]=i*2+1;
    }
    for(auto x:a){
        cout<<x<<" ";
    }
    cout<<endl;
    for(auto x:b){
        cout<<x<<" ";
    }
    cout<<endl;
    return 0;
}